AstrologyAPI

Use access token to call astrology api.

Learn More

Matching Ashtakoot Points

POSThttps://json.astrologyapi.com/v1/match_ashtakoot_points
Copy

The response provides the Ashtakoota matching score between a male and a female, based on eight different parameters such as Varna, Vashya, Tara, Yoni, Maitri, Gan, Bhakut, and Nadi. It also provides a conclusion stating whether the matching is favorable or not.

POST/match_ashtakoot_points
Copy
1curl --location 'https://json.astrologyapi.com/v1/match_ashtakoot_points' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "m_day": 10,
6    "m_month": 5,
7    "m_year": 1990,
8    "m_hour": 11,
9    "m_min": 55,
10    "m_lat": 19.2056,
11    "m_lon": 25.2056,
12    "m_tzone": 5.5,
13    "f_day": 10,
14    "f_month": 5,
15    "f_year": 1990,
16    "f_hour": 11,
17    "f_min": 55,
18    "f_lat": 19.2056,
19    "f_lon": 25.2056,
20    "f_tzone": 5.5
21}'
22
200Response
Copy
1{
2  "varna": {
3    "description": "Natural Refinement / Work",
4    "male_koot_attribute": "Kshatriya",
5    "female_koot_attribute": "Kshatriya",
6    "total_points": 1,
7    "received_points": 1
8  },
9  "vashya": {
10    "description": "Innate Giving / Attraction towards each other",
11    "male_koot_attribute": "Chatuspad",
12    "female_koot_attribute": "Chatuspad",
13    "total_points": 2,
14    "received_points": 2
15  },
16  "tara": {
17    "description": "Comfort - Prosperity - Health",
18    "total_points": 3,
19    "received_points": 0
20  },
21  "yoni": {
22    "description": "Intimate Physical",
23    "total_points": 4,
24    "received_points": 0
25  },
26  "maitri": {
27    "description": "Friendship",
28    "male_koot_attribute": "Mars",
29    "female_koot_attribute": "Mars",
30    "total_points": 5,
31    "received_points": 5
32  },
33  "gan": {
34    "description": "Temperament",
35    "male_koot_attribute": "",
36    "female_koot_attribute": "",
37    "total_points": 6,
38    "received_points": 6
39  },
40  "bhakut": {
41    "description": "Constructive Ability / Constructivism / Society and Couple",
42    "male_koot_attribute": "Aries",
43    "female_koot_attribute": "Aries",
44    "total_points": 7,
45    "received_points": 7
46  },
47  "nadi": {
48    "description": "Progeny / Excess",
49    "male_koot_attribute": "",
50    "female_koot_attribute": "",
51    "total_points": 8,
52    "received_points": 0
53  },
54  "total": {
55    "total_points": 36,
56    "received_points": 21,
57    "minimum_required": 18
58  },
59  "conclusion": {
60    "status": true,
61    "report": "Ashtakoota Matching between male and female is 21 points out of 36 points. This is a reasonably good score. Moreover, your rashi lords are friendly with each other thereby signifying mental compatibility and mutual affection between the two. Hence, this is a favourable Ashtakoota match."
62  }
63}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

m_day

int

required

Day of birth, eg: 10

m_month

int

required

Month of birth, eg: 5

m_year

int

required

Year of birth, eg: 1990

m_hour

int

required

Hour of birth, eg: 11

m_min

int

required

Minute of birth, eg: 55

m_lat

float

required

Latitude, eg: 19.2056

m_lon

float

required

Longitude, eg: 25.2056

m_tzone

float

required

Timezone, eg: 5.5

f_day

int

required

Day of birth, eg: 10

f_month

int

required

Month of birth, eg: 5

f_year

int

required

Year of birth, eg: 1990

f_hour

int

required

Hour of birth, eg: 11

f_min

int

required

Minute of birth, eg: 55

f_lat

float

required

Latitude, eg: 19.2056

f_lon

float

required

Longitude, eg: 25.2056

f_tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.